'Prepare PRX file

PRINT "Program to prepare the coastal proximity grid for db9_ITP*"
PRINT "                    CJ Jenkins July05"
PRINT
PRINT "                   Now version B 27 Aug 2007"
PRINT
PRINT "          Copyright 2005 INSTAAR / CU Boulder CO USA"
PRINT "==========================================================="
PRINT

dir$ = "c:\dbSEABED\_db9\_Interp\"
PRINT "The working directory is: |"; dir$; "|"

COLOR 11
111 INPUT "Enter the workarea code (3letters):"; wrkA$
IF LEN(wrkA$) <> 3 THEN
        COLOR 12
        PRINT "Sorry, not correct... please try again"
        COLOR 7
        GOTO 111
END IF
PRINT : COLOR 7

OPEN dir$ + wrkA$ + "_prx.asc" FOR INPUT AS #1
OPEN dir$ + "_" + wrkA$ + "_prx.tmp" FOR OUTPUT AS #2

'First get all the header information...
FOR iPx = 1 TO 6
        LINE INPUT #1, linein$
        IF INSTR(linein$, "ncols") > 0 THEN
                ncols = VAL(MID$(linein$, 6, 18))
                'PRINT MID$(linein$, 6, 18)
        END IF
        IF INSTR(linein$, "nrows") > 0 THEN
                nrows = VAL(MID$(linein$, 6, 18))
                'PRINT MID$(linein$, 6, 18)
        END IF
        'PRINT linein$
NEXT

PRINT "For area "; wrkA$; ":"
PRINT TAB(6); "ncols,nrows="; ncols, nrows,
PRINT " ( words="; ncols * nrows; ")"
PRINT
INPUT "Now process... <E>", ky$



FOR iPx = 1 TO 10000000

        IF EOF(1) THEN 888
        c$ = INPUT$(1, #1)

        'Each line in the file ends with a blank
        'Every field has a trailing blank

        IF c$ = " " THEN
                prx = VAL(prx$)
                numPRX = numPRX + 1

                'Output ...
                IF prx$ <> "" THEN
                        PRINT #2, USING "##.###"; prx;
                        '(Uses natural 1-spacing of numbers)
                        PRINT USING "##.###"; prx;
                END IF
                prx$ = "": 'and reset for each field

        ELSEIF ASC(c$) < 32 THEN
                'Control characters (ignore)
        ELSE
                prx$ = prx$ + c$
        END IF
NEXT

888     PRINT : COLOR 14
        PRINT "End of preparation (entries="; numPRX;
        PRINT "/ required="; nrows * ncols, iPx; ")"
        COLOR 7
END

'99825=275*363 Adriatic grid

